<?php

namespace WPIS;

class SettingsManager {

    static private $table = 'wpis_settings';

    static public function get( $name, $default = null ) {

        if( file_exists(get_stylesheet_directory() . '/wpis-settings.json' ) ){
            $content = file_get_contents(get_stylesheet_directory() . '/wpis-settings.json');
            $settings = json_decode($content);
            if( isset( $settings->{$name} ) ){
                return $settings->{$name};
            }
        }

        $wpdb = $GLOBALS['wpdb'];
        $table = $wpdb->prefix . self::$table;
        $result = $wpdb->get_row("SELECT name, value FROM $table WHERE name = '$name'");

        return !is_null($result) ? $result->value : $default;
    }

    static public function getAll() {
        $wpdb = $GLOBALS['wpdb'];
        $table = $wpdb->prefix . self::$table;
        $result = $wpdb->get_results("SELECT name, value FROM $table");

        return $result;
    }

    static public function set($name, $value) {

        $wpdb = $GLOBALS['wpdb'];
        $table = $wpdb->prefix . self::$table;

        $results = $wpdb->get_results("SELECT name, value FROM $table WHERE name = '$name'");

        if( ! isset($results[0]) ){
            $wpdb->insert($table, ['name' => $name, 'value' => $value]);
        }
        else {
            $wpdb->update($table, ['value' => $value ], ['name' => $name] );
        }
    }

}